﻿
$ErrorActionPreference = 'Stop';

$softVersion = '5.1.0'
$shortVersion = '5.1.0'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${shortVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = '135F1B4CA30A065BBB3555FA4C3EFF0602B783CB5F4708BD296F7E8922370C62'
  checksumType  = 'sha256'
  checksum64    = 'F6CB60A7D16A04F9BD0412F3211FCC49F0F6A08CF4C7331C60CB39D6B54DEF97'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'

$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
